| ARX 1.0 The next-generation open source augmented reality toolkit.

Loading...
Searching...
No Matches
Classes | Macros | Functions
template.h File Reference
`#include <ARX/AR/ar.h>`
`#include <ARX/AR2/config.h>`
`#include <ARX/AR2/imageSet.h>`
`#include <ARX/AR2/featureSet.h>`
Include dependency graph for template.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | AR2TemplateT
struct | AR2TemplateCandidateT

## Macros
#define | AR2_TEMPLATE_NULL_PIXEL 0x1000

## Functions
AR_EXTERN AR2TemplateT * | ar2GenTemplate (int ts1, int ts2)
AR_EXTERN int | ar2FreeTemplate (AR2TemplateT *templ)
AR_EXTERN int | ar2SetTemplateSub (const ARParamLT *cparamLT, const float trans[3][4], AR2ImageSetT *imageSet, AR2FeaturePointsT *featurePoints, int num, AR2TemplateT *templ)
AR_EXTERN int | ar2GetBestMatching (ARUint8 *img, ARUint8 *mfImage, int xsize, int ysize, AR_PIXEL_FORMAT pixFormat, AR2TemplateT *mtemp, int rx, int ry, int search[3][2], int *bx, int *by, float *val)
| Get best match for a candidate feature template.
AR_EXTERN int | ar2GetBestMatching2 (void)
AR_EXTERN int | ar2GetResolution (const ARParamLT *cparamLT, const float trans[3][4], const float pos[2], float dpi[2])
AR_EXTERN int | ar2GetResolution2 (const ARParam *cparam, const float trans[3][4], const float pos[2], float dpi[2])
AR_EXTERN int | ar2SelectTemplate (AR2TemplateCandidateT *candidate, AR2TemplateCandidateT *prevFeature, int num, float pos[4][2], int xsize, int ysize)

## Macro Definition Documentation

## ◆ AR2_TEMPLATE_NULL_PIXEL

#define AR2_TEMPLATE_NULL_PIXEL 0x1000

## Function Documentation

## ◆ ar2FreeTemplate()

AR_EXTERN int ar2FreeTemplate | ( | AR2TemplateT * | templ | ) |

## ◆ ar2GenTemplate()

AR_EXTERN AR2TemplateT * ar2GenTemplate | ( | int | ts1,
|  | int | ts2
| ) |  |

## ◆ ar2GetBestMatching()

AR_EXTERN int ar2GetBestMatching | ( | ARUint8 * | img,
|  | ARUint8 * | mfImage,
|  | int | xsize,
|  | int | ysize,
|  | AR_PIXEL_FORMAT | pixFormat,
|  | AR2TemplateT * | mtemp,
|  | int | rx,
|  | int | ry,
|  | int | search[3][2],
|  | int * | bx,
|  | int * | by,
|  | float * | val
| ) |  |

Get best match for a candidate feature template.

Parameters

  img | Incoming image to match against.
  mfImage | Buffer same size as img, to provide working memory for status of matched features.
  xsize | Horizontal size of img and mfImage.
  ysize | Vertical size of img and mfImage.
  pixFormat | Pixel format of img.
  mtemp | Template undergoing matching.
  rx | search radius in x dimension.
  ry | search radius in y dimension.
  search | screen coordinates (second dimension is x and y) for up to three previous positions of this feature.
  bx | On return, x position of best candidate.
  by | On return, y position of best candidate.
  val | On return, the quality of the match of the best candidate.

Returns
  -1 in case of error or no match, or 0 otherwise.

## ◆ ar2GetBestMatching2()

AR_EXTERN int ar2GetBestMatching2 | ( | void |  | ) |

## ◆ ar2GetResolution()

AR_EXTERN int ar2GetResolution | ( | const ARParamLT * | cparamLT,
|  | const float | trans[3][4],
|  | const float | pos[2],
|  | float | dpi[2]
| ) |  |

Here is the call graph for this function:

## ◆ ar2GetResolution2()

AR_EXTERN int ar2GetResolution2 | ( | const ARParam * | cparam,
|  | const float | trans[3][4],
|  | const float | pos[2],
|  | float | dpi[2]
| ) |  |

Here is the call graph for this function:

## ◆ ar2SelectTemplate()

AR_EXTERN int ar2SelectTemplate | ( | AR2TemplateCandidateT * | candidate,
|  | AR2TemplateCandidateT * | prevFeature,
|  | int | num,
|  | float | pos[4][2],
|  | int | xsize,
|  | int | ysize
| ) |  |

## ◆ ar2SetTemplateSub()

AR_EXTERN int ar2SetTemplateSub | ( | const ARParamLT * | cparamLT,
|  | const float | trans[3][4],
|  | AR2ImageSetT * | imageSet,
|  | AR2FeaturePointsT * | featurePoints,
|  | int | num,
|  | AR2TemplateT * | templ
| ) |  |

Here is the call graph for this function: